<div align="center">
   <a href="https://hudsonthames.org/arbitragelab">
   <img src="https://hudsonthames.org/wp-content/uploads/2021/04/featured-picture-arbitragelab.jpg" height="200" 
   style="margin-left: auto; margin-right: auto; display:block;">
   </a>
  </br>
</div>

# Welcome to the Arbitrage Laboratory! 

**What was only possible with the help of huge R&D teams is now at your disposal, anywhere, anytime.**

[Documentation Click Here](https://hudson-and-thames-arbitragelab.readthedocs-hosted.com/en/latest/index.html).

ArbitrageLab is a python library that includes both end-to-end strategies and strategy creation tools that cover the
whole range of strategies defined by [Krauss' taxonomy](https://www.econstor.eu/bitstream/10419/116783/1/833997289.pdf) for pairs trading strategies.

## What is ArbitrageLab?

ArbitrageLab is an open-source python library that enables traders who want to exploit mean-reverting portfolios
by providing a complete set of algorithms from the best academic journals.

View the documentation to [get started](https://hudson-and-thames-arbitragelab.readthedocs-hosted.com/en/latest/index.html).

## Special Thank You:
A lot of passion and love went into the creation of this library, and we would like to say special thank you to: 

Original Team:
* [Jacques Francois Joubert](https://www.linkedin.com/in/jacquesjoubert/)
* [Illya Barziy](https://www.linkedin.com/in/illyabarziy/)
* [Valeriia Pervushyna](https://www.linkedin.com/in/valeriia-pervushyna/)
* [Dirk Frees](https://www.linkedin.com/in/dirkfreese/)

A heartfelt thank you to Illya and Valeriia for your exceptional contributions to ArbitrageLab. Your dedication and 
talent have been instrumental in enhancing the library and company as a whole. Your technical ingenuity,
and meticulous attention to detail, have not only enriched our project but also set a high standard for excellence. We deeply 
appreciate your hard work and commitment to making ArbitrageLab a success.

A special thank you to Dirk for the quality time and deep insights you have dedicated to enhancing our business. 
Your expertise and motivational efforts were, and continue to be invaluable. We greatly appreciate your 
commitment and enthusiastic support. We couldn't have asked for a better Start-Up Advisor!

Core Contributions
* [Hansen Pei](https://www.linkedin.com/in/hansen-pei-0949691b3/)
* Yefeng Wang
* [Vijay Nadimpalli](https://www.linkedin.com/in/vijay-nadimpalli/)
* [Joohwan Ko](https://www.linkedin.com/in/joohwan-ko-638748174/)


## Dedicated to WorldQuant University (WQU)

<div align="center">
   <a href="https://www.wqu.edu/">
   <img src="https://www.wqu.edu/_next/static/media/logo-full-color.244f5961.svg" height="150" 
   style="margin-left: auto; margin-right: auto; display:block;">
   </a>
  </br>
</div>

We are thrilled to highlight an exceptional educational opportunity for those passionate about financial 
engineering — WorldQuant University’s Master of Science in Financial Engineering (MSFE) program. This groundbreaking 
initiative is completely online and tuition-free, democratizing advanced education in a way that's accessible to 
individuals around the globe.

The MSFE program at WorldQuant University is designed to equip students with the quantitative skills essential for a 
competitive edge in today's tech-driven finance sectors. With a curriculum that balances theory and practical 
application, students not only gain deep insights but also practical skills that can be immediately applied in various 
financial roles.

If you're looking to elevate your expertise or pivot your career towards quantitative finance, I encourage you to 
explore this opportunity. WorldQuant University is not just about education; it’s about empowering future financial 
leaders. Learn more about their [MSFE program](https://www.wqu.edu/) and take a significant step towards transforming
your professional life.

## Learn To Build Production Ready Python Libraries
We have released a course on Udemy that you can follow to produce your own open-source projects for finance.
* [Writing Production-Grade Python Code for Quant Developers](https://www.udemy.com/course/writing-production-grade-code-for-quantitative-developers/)
